%undefine __libtoolize

Name: libgcrypt
Version: 1.1.12
Release: alt2

%define lib_name_orig	%name
%define lib_name	%name

Group: System/Libraries
Summary: Cryptographic library
License: LGPL
URL: http://www.gnupg.org/

# Automatically added by buildreq on Mon Dec 16 2002
BuildRequires: docbook-dtds glibc-devel-static jadetex openjade tetex-core xml-common

Source0: %name-%version.tar.bz2
Patch0: %name-install-fix.patch.bz2

%package -n %name-devel
Summary: Development files for the %name package
Group: Development/Other
Requires: %name = %version-%release

%package -n %name-devel-static
Summary: Static libraries for the %name-devel package
Group: Development/Other
Requires: %name-devel = %version-%release

%description
Libgcrypt is a general purpose cryptographic library
based on the code from GNU Privacy Guard.  It provides functions for all
cryptograhic building blocks: symmetric ciphers
(AES,DES,Blowfish,CAST5,Twofish,Arcfour), hash algorithms (MD5,
RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for all hash algorithms),
public key algorithms (RSA, ElGamal, DSA), large integer functions,
random numbers and a lot of supporting functions.

%description -n %name-devel
Libgcrypt is a general purpose cryptographic library
based on the code from GNU Privacy Guard.
This package contains files needed to develop
applications using libgcrypt (e.g. Aegypten project).

%description -n %name-devel-static
Static libraries for the %name-devel package

%prep
%setup -q
#%patch0

%build
%configure
%make

%install
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%_libdir/lib*.so.*
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS
%doc README README-alpha THANKS TODO

%files -n %name-devel
%_bindir/*
%_includedir/*.h

%_libdir/lib*.la
%_libdir/lib*.so

%_datadir/aclocal/*
%_infodir/gcrypt.info*

%files -n %name-devel-static
%_libdir/lib*.a

%changelog
* Tue Sep 30 2003 Sergey V Turchin <zerg at altlinux dot org> 1.1.12-alt2
- fix build

* Wed Sep 03 2003 Sergey V Turchin <zerg at altlinux dot org> 1.1.12-alt1
- new version

* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 1.1.10-alt2
- fix requires

* Fri Feb 07 2003 Sergey V Turchin <zerg@altlinux.ru> 1.1.10-alt1
- build for ALT

* Sat Nov 23 2002 Per yvind Karlsen <peroyvind@sintrax.net> 1.1.10-6mdk
- Better fix for binary name(Patch #0)
- Follow mdk lib policy
- Removed non-existing libgcrypt.txt file from filelist
- bzip2'ed the source
- Remove tests from doc (rpmlint says so)
- Move *.so to -devel package, only *.so.* stays
- Cleanups

* Sat Nov 23 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.10-5mdk
- fix binary name for arch != i586

* Mon Nov 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.10-4mdk
- Rebuild

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.10-3mdk
- Fix bin name

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.10-2mdk
- Fix postun/post

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.10-1mdk
- Initial package
